libvisio::VSDInfiniteLine Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDInfiniteLine Class Reference
Inheritance diagram for libvisio::VSDInfiniteLine:

## Public Member Functions
| VSDInfiniteLine (unsigned id, unsigned level, const boost::optional< double > &x1, const boost::optional< double > &y1, const boost::optional< double > &x2, const boost::optional< double > &y2)
virtual | ~VSDInfiniteLine ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x1
double | m_y1
double | m_x2
double | m_y2

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDInfiniteLine::VSDInfiniteLine | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x1,
|  | const boost::optional< double > & | y1,
|  | const boost::optional< double > & | x2,
|  | const boost::optional< double > & | y2
| ) |  |
| inline

virtual libvisio::VSDInfiniteLine::~VSDInfiniteLine | ( |  | ) |
| inlinevirtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDInfiniteLine::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

void libvisio::VSDInfiniteLine::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

double libvisio::VSDInfiniteLine::m_x1

Referenced by libvisio::VSDGeometryList::addInfiniteLine().

double libvisio::VSDInfiniteLine::m_x2

Referenced by libvisio::VSDGeometryList::addInfiniteLine().

double libvisio::VSDInfiniteLine::m_y1

Referenced by libvisio::VSDGeometryList::addInfiniteLine().

double libvisio::VSDInfiniteLine::m_y2

Referenced by libvisio::VSDGeometryList::addInfiniteLine().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp